> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Release Lock

> Release an advisory lock on a resource.

Only the lock holder can release. Returns 409 if held by a different agent.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json delete /presence/locks/{resource_id}
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /presence/locks/{resource_id}:
    delete:
      tags:
        - presence
        - presence
      summary: Release Lock
      description: >-
        Release an advisory lock on a resource.


        Only the lock holder can release. Returns 409 if held by a different
        agent.
      operationId: presence-release_lock
      parameters:
        - name: resource_id
          in: path
          required: true
          schema:
            type: string
            title: Resource Id
        - name: agent_id
          in: query
          required: true
          schema:
            type: string
            description: Agent releasing the lock
            title: Agent Id
          description: Agent releasing the lock
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````